#include <iostream>
#include <cmath>
#include <math.h>
#include <bits/stdc++.h>

using namespace std;

int v = 0;

int main()
{
    cout << "Unesite ukupan iznos: ";
    cin >> v;

    if (v < 1 || v > (pow(10, 18)))
    {
        cout << "Opseg iznosa v je od 1 pa do 10^18";
        return 0;
    }

    int current = 0;
    int bills = 0;

    while (true)
    {
        for (int i = 0; i < (pow(10, 18)); i++)
        {
            int sum = v - (1 * (pow(10, i)));
            if (sum < 0)
            {
                break;
            }
            else if (sum >= 0)
            {
                current = 1 * (pow(10, i));
            }

            sum = v - (2 * (pow(10, i)));
            if (sum < 0)
            {
                break;
            }
            else if (sum >= 0)
            {
                current = 2 * (pow(10, i));
            }

            sum = v - (5 * (pow(10, i)));
            if (sum < 0)
            {
                break;
            }
            else if (sum >= 0)
            {
                current = 5 * (pow(10, i));
            }
        }

        bills++;
        v = v - current;

        if (v <= 0)
        {
            break;
        }
    }

    cout << "Broj novcanica: " << bills;

    return 0;
}